
#include "sswrite.h"
#include <stdarg.h>


void sswritef(std::wstringstream *out, wchar_t const *f, ...)
{
	wchar_t tmp[10000];
	va_list ap;
	va_start(ap, f);
#ifdef WIN32
	vswprintf(tmp, f, ap);
#else
	vswprintf(tmp, sizeof(tmp), f, ap);
#endif
	va_end(ap);
	sswrite(out, tmp);
}

void sswritef(std::stringstream *out, char const *f, ...)
{
	char tmp[10000];
	va_list ap;
	va_start(ap, f);
	vsprintf(tmp, f, ap);
	va_end(ap);
	sswrite(out, tmp);
}


